# action.cpp File Reference

Template File. More...

`#include "action.h"`
`#include "instance.h"`
`#include "actions/layerremove.h"`
`#include "actions/layermove.h"`
`#include "actions/layerraise.h"`
`#include "actions/layerlower.h"`
`#include "actions/layeradd.h"`
`#include "actions/layeractivate.h"`
`#include "actions/layerparamset.h"`
`#include "actions/layerparamconnect.h"`
`#include "actions/layerparamdisconnect.h"`
`#include "actions/layerencapsulate.h"`
`#include "actions/layerduplicate.h"`
`#include "actions/layersetdesc.h"`
`#include "actions/valuenodeconstset.h"`
`#include "actions/valuenodeadd.h"`
`#include "actions/valuenodereplace.h"`
`#include "actions/valuenodelinkconnect.h"`
`#include "actions/valuenodelinkdisconnect.h"`
`#include "actions/valuenodedynamiclistinsert.h"`
`#include "actions/valuenodedynamiclistremove.h"`
`#include "actions/valuenodedynamiclistinsertsmart.h"`
`#include "actions/valuenodedynamiclistremovesmart.h"`
`#include "actions/valuenodedynamiclistloop.h"`
`#include "actions/valuenodedynamiclistunloop.h"`
`#include "actions/valuenodedynamiclistrotateorder.h"`
`#include "actions/valuenoderename.h"`
`#include "actions/valuenoderemove.h"`
`#include "actions/valuedescset.h"`
`#include "actions/valuedescexport.h"`
`#include "actions/valuedescconvert.h"`
`#include "actions/valuedescconnect.h"`
`#include "actions/valuedescdisconnect.h"`
`#include "actions/valuedesclink.h"`
`#include "actions/valuedescblinelink.h"`
`#include "actions/waypointadd.h"`
`#include "actions/waypointset.h"`
`#include "actions/waypointsetsmart.h"`
`#include "actions/waypointremove.h"`
`#include "actions/waypointconnect.h"`
`#include "actions/waypointdisconnect.h"`
`#include "actions/activepointadd.h"`
`#include "actions/activepointset.h"`
`#include "actions/activepointsetsmart.h"`
`#include "actions/activepointsetoff.h"`
`#include "actions/activepointseton.h"`
`#include "actions/activepointremove.h"`
`#include "actions/keyframeadd.h"`
`#include "actions/keyframeset.h"`
`#include "actions/keyframeremove.h"`
`#include "actions/keyframeduplicate.h"`
`#include "actions/keyframewaypointset.h"`
`#include "actions/keyframesetdelta.h"`
`#include "actions/timepointsmove.h"`
`#include "actions/timepointscopy.h"`
`#include "actions/timepointsdelete.h"`
`#include "actions/canvasdescriptionset.h"`
`#include "actions/canvasidset.h"`
`#include "actions/canvasnameset.h"`
`#include "actions/canvasrenddescset.h"`
`#include "actions/canvasadd.h"`
`#include "actions/canvasremove.h"`
`#include "actions/editmodeset.h"`
`#include "actions/blinepointtangentmerge.h"`
`#include "actions/blinepointtangentsplit.h"`
`#include "actions/gradientset.h"`
`#include "actions/colorset.h"`
`#include "actions/groupaddlayers.h"`
`#include "actions/groupremovelayers.h"`
`#include "actions/groupremove.h"`
`#include "actions/grouprename.h"`
`#include "canvasinterface.h"`
`#include "general.h"`

## Defines

#define | ADD_ACTION(x)

## Variables

synfigapp::Action::Book * | book_

## Detailed Description

Template File.

$Id$

## Define Documentation

#define ADD_ACTION | ( | x |  | ) |

Value:

    { BookEntry &be(book()[x::name__]); \
        be.name=x::name__; \
        be.local_name=dgettext("synfigstudio",x::local_name__); \
        be.version=x::version__; \
        be.task=x::task__; \
        be.priority=x::priority__; \
        be.category=x::category__; \
        be.factory=x::create; \
        be.get_param_vocab=x::get_param_vocab; \
        be.is_candidate=x::is_candidate; \
        }

## Variable Documentation

synfigapp::Action::Book* book_

Referenced by synfigapp::Action::book(), and synfigapp::Action::Main::~Main().